Add hint for 'changed fields' when opening case in new edition
06 Feb 2018 16:56 - Lukas Vonlanthen

Status: Accepted Start date: 06 Feb 2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 12.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

Description

When viewing questionnaires entered in an old version of the configuration, a hint could be displayed for fields/questions which have
changed compared to the currently active questionnaire configuration. It only indicates which fields have changed and not what
exactly changed.

Maybe use separate table to keep track of changed fields for a configuration version?

Estimate break down

Depends on how diff is solved (#1781)

Extends QuestionnaireQuestion (adding method to show if field has changed) (~4h)
Modify templates (add indicator) and styling (4h)

Tests (4h)

History

#1 - 06 Feb 2018 16:56 - Lukas Vonlanthen

- Description updated

#2 - 27 Feb 2018 09:52 - Kurt Gerber

- Status changed from New to Accepted

#3 - 13 Dec 2018 10:23 - Kurt Gerber

- Tracker changed from Task to User Story

- Subject changed from Add hint for ‘changed fields' to Add hint for 'changed fields' when opening case in new edition
- Target version changed from Carbon Benefit to QCAT Backlog

- Parent task deleted (#1777)
